Retail Express API 2.1

Searches Products by parameters

Searches Products by parameters

get
https://api.retailexpress.com.au/v2/products

Query Parameters

idinteger | null(int32)

Product Id. Other properties are skipped, if used

searchstring | null

Search. If used, other properties are skipped, except outlet_id and disabled

sales_channel_idinteger | null(int32)

Sales Channel Id

include_inventoryboolean

Include inventory

order_bystring | null

Order by.

Available field name values: id, supplier_sku, supplier_sku2, manufacturer_sku, short_description, product_type, supplier, core_product, disabled,
long_description, custom1, custom2, custom3, supplier_buy_ex, buy_price_ex, direct_costs_ex, markup_target, sell_price_inc, promotional_price_inc,
promotional_price_expiry, rrp_inc, web_price_inc, freight_inc, max_discount_rule_id, lead_time, carton_quantity, replenishment_method_code, length, depth, breadth,
shipping_cubic, weight, prevent_disabling, voucher_product, requires_assembly, loyalty_ratio, brand, season, size, colour, attribute:id, sales_channel:id

Available direction values: asc, desc.

Example: id asc, supplier_sku desc

filter_bystring | null

Filter by.
Available field name values: id, supplier_sku, supplier_sku2, manufacturer_sku, short_description, product_type, supplier, supplier_code, supplier_buy_ex,
size, colour, brand, season, core_product, disabled, attribute:Id, outlet_id, quantity_available, quantity_on_order, package, max_discount_rule_id, replenishment_method_code,
export_to_web, loyalty_ratio, voucher_product, created_on, modified_on, sales_channel:id

In string values: ‘|’ and ‘,’ characters have to be escaped with slash, i.e. ‘\,’ ‘\|’

For operators that support multiple values (in, notin): multiple values are delimited using ‘|’ character

Available operators:

eq - Equal

neq - Not equals

lt - Less

lte - Less or equal

gt - Greater

gte - Greater or equal

in - In

notin - Not In

contains - Contains

isnull - Is Null

isnullorempty - Is Null Or Empty

isnotnull - Is Not Null

startswith - Starts with

endswith - Ends with

doesnotcontain - Does not contain

For non-nullable fields operators isnull and isnotnull are unavailable

For dates operators: contains, startswith, endswith, doesnotcontain, isnullorempty are unavailable

For strings operators: lt, lte, gt, gte are unavailable

Example: id:eq:2, attribute:101:isnotnull, attribute:101:eq:Custom Attribute Value 123

skustring | null

Supplier SKU.

>= 0 characters<= 50 characters

manufacturer_skustring | null

Manufacturer SKU.

>= 0 characters<= 50 characters

supplierstring | null

Supplier or Collection of Suppliers (comma separated)
Example: Supplier1,Supplier2,Supplier3

plustring | null

Product Look-Up code (PLU) It can be Product Id, Supplier SKU, Manufacturer SKU, Supplier SKU 2 or any Barcodes for a product. The other search parameters are ignored if used. (except of ‘autocomplete’)

>= 3 characters

autocompleteboolean

Autocomplete. Controls partial vs exact match search. Should return only exactly matching results when its value is false and partially matching results when true.

created_sincestring | null(date-time)

Created since

modified_sincestring | null(date-time)

Modified since

disabledboolean | null

Disabled

product_type_idstring | null

Product Type Id or Collection of Product Type Ids (comma separated)
Example: 1,5,7

short_descriptionstring | null

Allows to search by description parts

outlet_idinteger | null(int32)

Outlet Id

include_zero_stockboolean | null

Filters products based on them being in stock

style_codestring | null

Product Look-Up code (Style Code) It can be Manufacturer SKU for a product. The other search parameters are ignored if used. (except of ‘autocomplete’)

>= 3 characters

page_numberinteger(int32)

Format - int32.

>= 1<= 100000

page_sizeinteger(int32)

Format - int32.

>= 1<= 2147483647

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Paging Response with Products data

Product.PagingResponse

* Additional properties are NOT allowed.
dataarray | null[object]

Product Model

* Additional properties are NOT allowed.
Show Child Parameters
page_numberinteger(int32)
page_sizeinteger(int32)
total_recordsinteger(int32)
get/products
 
application/json

Creates products

Sample request:

 POST /products
 [
   {
    "carton_quantity":1,
    "cogs_ex":11.1,
    "cubic":20.2,
    "direct_costs_ex":1.1,
    "prevent_disabling":false,
    "promotional_price_inc":1.1,
    "promotional_price_expiry":"2021-12-12T00:00:00",
    "freight_inc":1.1,
    "rrp_inc":1.1,
    "sell_price_inc":1.1,
    "web_price_inc":1.1,
    "breadth":1.1,
    "core_product":false,
    "custom_properties": [
         {
             "Name": "Custom1",
             "Value": "Value1"
         },
         {
             "Name": "Custom2",
             "Value": "Value2"
         }
    ],
    "depth":1.1,
    "disabled":false,
    "lead_time":12,
    "length":1.1,
    "loyalty_ratio":1.1,
    "manufacturer_sku":"UniqueManufacturerSku",
    "product_type":{
       "id":3
    },
    "requires_assembly":false,
    "shipping_cubic":1.1,
    "short_description":"ShortDescription",
    "supplier":{
        "supplier_code":"00"
    },
    "supplier_buy_ex":1.1,
    "supplier_sku":"SupplierSKU1",
    "supplier_sku2":"SupplierSKU2",
    "weight":1.1,
    "buy_price_ex" : 0.0000,
    "attributes":[
       {
          "value":{
             "id":1
          },
          "id":3
       }
    ],
    "long_description": "sample text",
    "voucher_product" : false,
    "max_discount_rule":{
         "id": 1
    },
    "replenishment_method": {
          "id": 1
    },
    "sales_channels":[
         {
             "id": 1,
             "source_group": 
             {
                 "id": 1
             },
             "enabled": true
         }],
   "export_to_web": false  
   }
 ]
post
https://api.retailexpress.com.au/v2/products

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Body

application/json

Products to be created

EmptyExample

EmptyExampleobject
* Additional properties are NOT allowed.

Response

Products created

post/products

Body

{}
 

Gets specific Product by unique id

Gets specific Product by unique id

get
https://api.retailexpress.com.au/v2/products/{id}

Path Parameters

idinteger(int32)required

Product id

Example:10000

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Returns found Product

Product

Product Model

* Additional properties are NOT allowed.
carton_quantityinteger | null(int32)

Carton quantity

cogs_exnumber(double)

Cogs ex

cubicnumber(double)

Cubic

direct_costs_exnumber | null(double)

Direct costs

prevent_disablingboolean | null

Is product disabled

promotional_price_incnumber | null(double)

Discount price

promotional_price_expirystring | null(date-time)

Discount price expiry

freight_incnumber | null(double)

Freight inc

rrp_incnumber | null(double)

Rpr inc

sell_price_incnumber | null(double)

Sell Price, cannot be used along with markup_target

>= -922337203685477.6<= 922337203685477.6

web_price_incnumber | null(double)

Web price

markup_targetnumber | null(double)

Markup Target %, cannot be used along with sell_price_inc

breadthnumber(double)

Breadth

>= -9999.9999<= 9999.9999

core_productboolean

Is core product flag

custom_propertiesarray | null[object]

Custom Property Model

* Additional properties are NOT allowed.
Show Child Parameters
depthnumber(double)

Depth

>= -9999.9999<= 9999.9999

disabledboolean

Disabled

idinteger | null(int32)

Product id.

lead_timeinteger | null(int32)

Lead time

lengthnumber | null(double)

Length

>= -9999.9999<= 9999.9999

loyalty_rationumber | null(double)

Loyalty Ratio

manufacturer_skustring | null

Manufacture SKU

product_typeobject

Product Type Model

* Additional properties are NOT allowed.
Show Child Parameters
requires_assemblyboolean

Requires Assembly

shipping_cubicnumber | null(double)

Shipping Cubic

>= -999999.9999<= 999999.9999

short_descriptionstring | null

Product description.

supplierobject

Product Supplier model

* Additional properties are NOT allowed.
Show Child Parameters
supplier_buy_exnumber(double)

Supplier Buy Ex

>= -922337203685477.6<= 922337203685477.6

supplier_skustring | null

Supplier SKU.

supplier_sku2string | null

Supplier SKU2.

weightnumber | null(double)

Weight

>= -99999999.9999<= 99999999.9999

buy_price_exnumber | null(double)

Buy price ex

long_descriptionstring | null

Long description

voucher_productboolean

Voucher product

max_discount_ruleobject

Max Discount Rule Model

* Additional properties are NOT allowed.
Show Child Parameters
replenishment_methodobject
* Additional properties are NOT allowed.
Show Child Parameters
attributesarray | null[object]

Product attributes

* Additional properties are NOT allowed.
Show Child Parameters
created_onstring | null(date-time)

Created on

modified_onstring | null(date-time)

Modified on

inventoryarray | null[object]

Product Inventory Model

* Additional properties are NOT allowed.
Show Child Parameters
sales_channelsarray | null[object]

Product Sales Chanels

* Additional properties are NOT allowed.
Show Child Parameters
export_to_webboolean

Export To Web

packageboolean

Package

get/products/{id}
 
application/json

Disables specific Product by id 1) Hides the product from reports and Stocktake by default 2) Turns off communication between Retail Express and eCommerce/Web Store integrations 3) Excluded from Product Search in POS

Disables specific Product by id

  1. Hides the product from reports and Stocktake by default
  2. Turns off communication between Retail Express and eCommerce/Web Store integrations
  3. Excluded from Product Search in POS
delete
https://api.retailexpress.com.au/v2/products/{id}

Path Parameters

idinteger(int32)required

Product id

Example:10000

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

Product disabled

delete/products/{id}
 

Updates Product

Sample request:

 PUT /products
 {
    "carton_quantity":1,
    "cogs_ex":11.1,
    "cubic":20.2,
    "direct_costs_ex":1.1,
    "prevent_disabling":false,
    "promotional_price_inc":1.1,
    "promotional_price_expiry":"2021-12-12T00:00:00",
    "freight_inc":1.1,
    "rrp_inc":1.1,
    "sell_price_inc":1.1,
    "web_price_inc":1.1,
    "breadth":1.1,
    "core_product":false,
    "custom_properties": [
         {
             "Name": "Custom1",
             "Value": "Value1"
         },
         {
             "Name": "Custom2",
             "Value": "Value2"
         }
    ],
    "depth":1.1,
    "disabled":false,
    "lead_time":12,
    "length":1.1,
    "loyalty_ratio":1.1,
    "manufacturer_sku":"UniqueManufacturerSku",
    "product_type":{
       "id":3
    },
    "requires_assembly":false,
    "shipping_cubic":1.1,
    "short_description":"ShortDescription",
    "supplier":{
        "supplier_code":"00"
    },
    "supplier_buy_ex":1.1,
    "supplier_sku":"SupplierSKU1",
    "supplier_sku2":"SupplierSKU2",
    "weight":1.1,
    "buy_price_ex" : 0.0000,
    "attributes":[
       {
          "value":{
             "id":1
          },
          "id":3
       }
    ],
    "long_description": "sample text",
    "voucher_product" : false,
    "max_discount_rule":{
         "id": 1
    },
    "replenishment_method": {
          "id": 1
    },
    "sales_channels":[
         {
             "id": 1,
             "source_group": 
             {
                 "id": 1
             },
             "enabled": true
         }],
   "export_to_web": false  
 }
put
https://api.retailexpress.com.au/v2/products/{id}

Path Parameters

idinteger(int32)required

Product id

Example:10000

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Body

application/json

Product model

EmptyExample

EmptyExampleobject
* Additional properties are NOT allowed.

Response

application/json

Returns updated Product

Product

Product Model

* Additional properties are NOT allowed.
carton_quantityinteger | null(int32)

Carton quantity

cogs_exnumber(double)

Cogs ex

cubicnumber(double)

Cubic

direct_costs_exnumber | null(double)

Direct costs

prevent_disablingboolean | null

Is product disabled

promotional_price_incnumber | null(double)

Discount price

promotional_price_expirystring | null(date-time)

Discount price expiry

freight_incnumber | null(double)

Freight inc

rrp_incnumber | null(double)

Rpr inc

sell_price_incnumber | null(double)

Sell Price, cannot be used along with markup_target

>= -922337203685477.6<= 922337203685477.6

web_price_incnumber | null(double)

Web price

markup_targetnumber | null(double)

Markup Target %, cannot be used along with sell_price_inc

breadthnumber(double)

Breadth

>= -9999.9999<= 9999.9999

core_productboolean

Is core product flag

custom_propertiesarray | null[object]

Custom Property Model

* Additional properties are NOT allowed.
Show Child Parameters
depthnumber(double)

Depth

>= -9999.9999<= 9999.9999

disabledboolean

Disabled

idinteger | null(int32)

Product id.

lead_timeinteger | null(int32)

Lead time

lengthnumber | null(double)

Length

>= -9999.9999<= 9999.9999

loyalty_rationumber | null(double)

Loyalty Ratio

manufacturer_skustring | null

Manufacture SKU

product_typeobject

Product Type Model

* Additional properties are NOT allowed.
Show Child Parameters
requires_assemblyboolean

Requires Assembly

shipping_cubicnumber | null(double)

Shipping Cubic

>= -999999.9999<= 999999.9999

short_descriptionstring | null

Product description.

supplierobject

Product Supplier model

* Additional properties are NOT allowed.
Show Child Parameters
supplier_buy_exnumber(double)

Supplier Buy Ex

>= -922337203685477.6<= 922337203685477.6

supplier_skustring | null

Supplier SKU.

supplier_sku2string | null

Supplier SKU2.

weightnumber | null(double)

Weight

>= -99999999.9999<= 99999999.9999

buy_price_exnumber | null(double)

Buy price ex

long_descriptionstring | null

Long description

voucher_productboolean

Voucher product

max_discount_ruleobject

Max Discount Rule Model

* Additional properties are NOT allowed.
Show Child Parameters
replenishment_methodobject
* Additional properties are NOT allowed.
Show Child Parameters
attributesarray | null[object]

Product attributes

* Additional properties are NOT allowed.
Show Child Parameters
created_onstring | null(date-time)

Created on

modified_onstring | null(date-time)

Modified on

inventoryarray | null[object]

Product Inventory Model

* Additional properties are NOT allowed.
Show Child Parameters
sales_channelsarray | null[object]

Product Sales Chanels

* Additional properties are NOT allowed.
Show Child Parameters
export_to_webboolean

Export To Web

packageboolean

Package

put/products/{id}

Body

{}
 
application/json